Skip to main content
System Global Type/Management Node Operations
GETManagement Node OperationsSince 4.1.0SynchronousAuth Required

GetPlatformTimeZone

GetPlatformTimeZone

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • timezoneStringRequired

    The time zone.

  • offsetStringRequired

    The time difference with GMT

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/management-nodes/platform-timezone

/zstack/v1/management-nodes/platform-timezone

Operation ID

GetPlatformTimeZone

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/management-nodes/platform-timezone' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "timezone": "Asia/Shanghai", "offset": "+8:00" }

Change History

This API has no change history records yet.

View all change history